Package com.sas.lsaf.workflow.task

## Class TaskQuery

- java.lang.Object
- - com.sas.lsaf.workflow.task.TaskQuery

- All Implemented Interfaces:
    `java.io.Serializable`

      public class TaskQuery
      extends java.lang.Object
      implements java.io.Serializable

  The class that contains the criteria to query process flow tasks.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `TaskQuery.AssigneeType` | The valid values for the assignee type that describes the method to search for user task assignees.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskQuery()` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Set<java.lang.String>` | `getAssignees()` | Gets the task assignees in which to search for process flow tasks, based on the task assignment.
    `TaskQuery.AssigneeType` | `getAssigneeType()` | Gets whether to search for the process flow tasks that are assigned to the current user, a specific set of users, or all users.
    `java.util.Set<java.lang.String>` | `getContextPaths()` | Gets the context paths in which to search for process flow tasks.
    `java.lang.String` | `getElementId()` | Gets the process flow task element identifier to query.
    `java.util.Date` | `getFromDueDate()` | Gets the start date of the date range to query process flow tasks, based on the due date.
    `int` | `getLimit()` | Gets the maximum number of process flow tasks to return.
    `java.lang.String` | `getName()` | Gets the process flow task name to query.
    `Task.Priority` | `getPriority()` | Gets the task priority by which to query the process flow tasks.
    `java.lang.String` | `getProcessFlowName()` | Gets the name of the process flow in which to search for tasks.
    `Task.TaskStatus` | `getStatus()` | Gets the status of the process flow task in which to query.
    `java.util.Date` | `getToDueDate()` | Gets the end date of the date range to query process flow tasks based on due date.
    `void` | `setAssignees​(java.util.Set<java.lang.String> assignees)` | Sets the task assignees in which to search for process flow tasks.
    `void` | `setAssigneeType​(TaskQuery.AssigneeType assigneeType)` | Sets whether to search for the process flow tasks that are assigned to the current user, a specific set of users, or all users.
    `void` | `setContextPaths​(java.util.Set<java.lang.String> contextPaths)` | Sets the context paths in which to search for process flow tasks.
    `void` | `setElementId​(java.lang.String elementId)` | Sets the process flow task element identifier to query.
    `void` | `setFromDueDate​(java.util.Date fromDueDate)` | Sets the start date of the date range to query process flow tasks, based on the due date.
    `void` | `setLimit​(int limit)` | Sets the maximum number of process flow tasks to return.
    `void` | `setName​(java.lang.String name)` | Sets the process flow task name to query.
    `void` | `setPriority​(Task.Priority priority)` | Sets the task priority by which to query the process flow tasks.
    `void` | `setProcessFlowName​(java.lang.String processFlowName)` | Sets the name of the process flow in which to search for tasks.
    `void` | `setStatus​(Task.TaskStatus status)` | Sets the status of the process flow task in which to query.
    `void` | `setToDueDate​(java.util.Date toDueDate)` | Sets the end date of the date range to query process flow tasks, based on the due date.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskQuery

          public TaskQuery()

      Constructor.

  - ### Method Detail

    - #### getStatus

          public Task.TaskStatus getStatus()

      Gets the status of the process flow task in which to query.
      Returns:
        The status of the process flow task in which to query.

    - #### setStatus

          public void setStatus​(Task.TaskStatus status)

      Sets the status of the process flow task in which to query.
      Parameters:
        `status` - The status.

    - #### getElementId

          public java.lang.String getElementId()

      Gets the process flow task element identifier to query.
      Returns:
        The process flow task element identifier to query.

    - #### setElementId

          public void setElementId​(java.lang.String elementId)

      Sets the process flow task element identifier to query.
      Parameters:
        `elementId` - The process flow task element.

    - #### getName

          public java.lang.String getName()

      Gets the process flow task name to query.
      Returns:
        The process flow task name to query.

    - #### setName

          public void setName​(java.lang.String name)

      Sets the process flow task name to query.
      Parameters:
        `name` - Sets the process flow name to query.

    - #### getProcessFlowName

          public java.lang.String getProcessFlowName()

      Gets the name of the process flow in which to search for tasks.
      Returns:
        The name.

    - #### setProcessFlowName

          public void setProcessFlowName​(java.lang.String processFlowName)

      Sets the name of the process flow in which to search for tasks.
      Parameters:
        `processFlowName` - The name of the process flow in which to search for tasks.

    - #### getContextPaths

          public java.util.Set<java.lang.String> getContextPaths()

      Gets the context paths in which to search for process flow tasks.
      Returns:
        The context paths.

    - #### setContextPaths

          public void setContextPaths​(java.util.Set<java.lang.String> contextPaths)

      Sets the context paths in which to search for process flow tasks.
      Parameters:
        `contextPaths` - The context paths in which to search for process flow tasks.

    - #### getAssignees

          public java.util.Set<java.lang.String> getAssignees()

      Gets the task assignees in which to search for process flow tasks, based on the task assignment.
      Returns:
        The task assignees.

    - #### setAssignees

          public void setAssignees​(java.util.Set<java.lang.String> assignees)

      Sets the task assignees in which to search for process flow tasks. The maximum number of assignees is 10.
      Parameters:
        `assignees` - The task assignees by which to search for process flow tasks.

    - #### getFromDueDate

          public java.util.Date getFromDueDate()

      Gets the start date of the date range to query process flow tasks, based on the due date.
      Returns:
        The start date of the date range.

    - #### setFromDueDate

          public void setFromDueDate​(java.util.Date fromDueDate)

      Sets the start date of the date range to query process flow tasks, based on the due date.
      Parameters:
        `fromDueDate` - The start date of the date range to query process flow tasks, based on the due date.

    - #### getToDueDate

          public java.util.Date getToDueDate()

      Gets the end date of the date range to query process flow tasks based on due date.
      Returns:
        The end date of the date range to query process flow tasks based on due date.

    - #### setToDueDate

          public void setToDueDate​(java.util.Date toDueDate)

      Sets the end date of the date range to query process flow tasks, based on the due date.
      Parameters:
        `toDueDate` - The end date of the date range to query process flow tasks, based on the due date.

    - #### getPriority

          public Task.Priority getPriority()

      Gets the task priority by which to query the process flow tasks.
      Returns:
        The task priority.

    - #### setPriority

          public void setPriority​(Task.Priority priority)

      Sets the task priority by which to query the process flow tasks.
      Parameters:
        `priority` - The task priority by which to query the process flow tasks.

    - #### getLimit

          public int getLimit()

      Gets the maximum number of process flow tasks to return.
      Returns:
        The limit The maximum number of process flow tasks to return.

    - #### setLimit

          public void setLimit​(int limit)

      Sets the maximum number of process flow tasks to return.
      Parameters:
        `limit` - The maximum number of process flow tasks to return.

    - #### getAssigneeType

          public TaskQuery.AssigneeType getAssigneeType()

      Gets whether to search for the process flow tasks that are assigned to the current user, a specific set of users, or all users. If searching a specific set of users, you must specify users by calling `setAssignees(Set)`.
      Returns:
        Whether to search for process flow tasks assigned to current user, a specific set of users, or all users.

    - #### setAssigneeType

          public void setAssigneeType​(TaskQuery.AssigneeType assigneeType)

      Sets whether to search for the process flow tasks that are assigned to the current user, a specific set of users, or all users. If searching a specific set of users, you must specify users by calling `setAssignees(Set)`.
      Parameters:
        `assigneeType` - The method to search for the process flow tasks.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`